toc:
- title: Overview
  path: /devices/tech/dalvik
- title: Improvements
  path: /devices/tech/dalvik/improvements
- title: Bytecode Format
  path: /devices/tech/dalvik/dalvik-bytecode
- title: Dex Format
  path: /devices/tech/dalvik/dex-format
- title: Instruction Formats
  path: /devices/tech/dalvik/instruction-formats
- title: Constraints
  path: /devices/tech/dalvik/constraints
- title: Configuration
  path: /devices/tech/dalvik/configure
- title: Garbage Collection
  path: /devices/tech/dalvik/gc-debug
- title: JIT Compilation
  path: /devices/tech/dalvik/jit-compiler
